type: gene_score
filename: LGD.csv
scores:
  - id: LGD_rank
    name: LGD rank
    desc: "Gene rank after sorting by LGD vulnerability score"
    small_values_desc: "more likely to be vulnerable"
    large_values_desc: "less likely to be vulnerable"
    histogram:
      type: number
      number_of_bins: 150
      view_range:
        min: 1
        max: 18395
      x_log_scale: false
      y_log_scale: false


  - id: LGD_score
    name: LGD score
    desc: "Likelihood that a gene is vulnerable to damaging mutation"
    small_values_desc: "less likely to be vulnerable"
    large_values_desc: "more likely to be vulnerable"
    histogram:
      type: number
      number_of_bins: 150
      view_range:
        min: 0
        max: 1
      x_log_scale: false
      y_log_scale: true
meta:
  summary: |
    Gene vulnerability/intolerance score based on the rare LGD variants

  description: |
    The LGD vulnerability score is described in 
    https://pubmed.ncbi.nlm.nih.gov/26401017 and is based on relating the 
    observed and expected numbers of ultra-rare LGD variants, where the 
    expected number of ultra-rare LGDs in a gene is computed through a 
    regression to the number of ultra-rare synonymous variants. The score is 
    defined as the cumulative distribution function at the observed number of 
    UR LGD variants of a Poisson distribution with a parameter equal to the 
    expected number of UR LGD variants.
